Package: org.apache.groovy.contracts.util

## [Java] Class ExpressionUtils

- org.apache.groovy.contracts.util.ExpressionUtils

-     public final class ExpressionUtils
      extends Object

  Internal utility class for extracting a boolean expression from the given expression or statement.

  See Also:
    ClosureExpression
    BooleanExpression

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static List<BooleanExpression>` | `getBooleanExpression(ClosureExpression closureExpression)` Returns all BooleanExpression instances found in the given ClosureExpression.
    `` | `public static BooleanExpression` | `getBooleanExpression(List<BooleanExpression> booleanExpressions)`
    `` | `public static List<BooleanExpression>` | `getBooleanExpressionsFromAssertionStatements(BlockStatement blockStatement)` Returns all BooleanExpression instances found in the given BlockStatement.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static List<BooleanExpression> getBooleanExpression(ClosureExpression closureExpression)

      Returns all BooleanExpression instances found in the given ClosureExpression.

    - #### public static BooleanExpression getBooleanExpression(List<BooleanExpression> booleanExpressions)

    - #### public static List<BooleanExpression> getBooleanExpressionsFromAssertionStatements(BlockStatement blockStatement)

      Returns all BooleanExpression instances found in the given BlockStatement.